Subject: bug#16526: 24.3.50; scroll-conservatively & c-mode regression

From: Alan Mackenzie <[email-masked]>
Date: Sun, 29 Jun 2014 09:17:57 +0000

Hi, Martin.

On Sun, Jun 29, 2014 at 10:44:42AM +0200, martin rudalics wrote:
>  > Making a choice between two ugly workarounds customisable would be
>  > short-changing users.

> My `open-paren-in-column-0-is-defun-start' is t and by ignoring that
> setting in CC mode you are already short-changing me.

That's a bit philosophical.  open-..-start is advertised as a high level
option, and CC Mode only binds it to nil at a low level, the "engine"
level.  Binding user options to set values at a low level is quite a
common practice in Elisp programming.

The actual bug here is that find_defun_start in syntax.c doesn't do any
cacheing, hence is scanning from BOB far too often.  How about we see
how things work once this is fixed.

> martin

-- 
Alan Mackenzie (Nuremberg, Germany).